--- title: "Get Column Metadata" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/get-column-metadata/ description: "This API enables you to retrieve the metadata of a specific column in a table in the Data Store." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Get the Metadata of a Specific Column ### Description This API enables you to retrieve the metadata of a specific column in a table in the [Data Store](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/introduction). The table is referred by its unique ID or name, and the column is referred by the column ID. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/column/{column_id} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **tableIdentifier** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/tables/#create-a-new-table) of the table or table name - **column_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/columns/#create-a-new-column) of the column #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.columns.READ ### Response Details The response will return the metadata of the specific column such as its `column_id`, `column_name`, and `data_type`. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/column/4000000042018 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "table_id": 56000000118, "column_sequence": 3, "column_id": 4000000042018, "column_name": "Department", "category": 2, "data_type": "text", "is_read_only": false, "max_length": 100, "is_mandatory": true, "default_value": "Admin", "is_unique": false, "search_index_enabled": false } } ``` ### SDK Documentation [Get Column Metadata- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-store/get-column-meta) [Get Column Metadata- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-store/get-column-meta) [Get Column Metadata- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-store/get-column-meta) [Get Column Metadata- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/data-store/get-column-meta)